Foxit PDF Conversion SDK

Public Member Functions | List of all members
fpdfconversionsdk.PDF2PowerPointSettingData Class Reference

## Public Member Functions
def | GetEnable_adapt_to_largest_page ()
| Get a boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. More...
def | GetEnable_aggressively_split_sections ()
| Get a boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. More...
def | Set (enable_aggressively_split_sections, enable_adapt_to_largest_page)
| Set value. More...
def | SetEnable_adapt_to_largest_page (value)
| Set a boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. More...
def | SetEnable_aggressively_split_sections (value)
| Set a boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. More...

## Detailed Description

This class represents setting data used for converting PDF documents to Power Point format documents.

## Member Function Documentation

## ◆ GetEnable_adapt_to_largest_page()

fpdfconversionsdk.PDF2PowerPointSettingData.GetEnable_adapt_to_largest_page | ( |  | ) |

Get a boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format.

Since all slides in a PowerPoint must have the same size, the largest page is used as the reference by default. When enabled, the converter identifies the largest page within the conversion range and adjusts the page matrix of smaller pages accordingly, scaling their graphical objects to ensure uniform slide dimensions in the output PowerPoint file. All scaling operations preserve the original aspect ratio. true means to adapt content of smaller pages to the largest page size. false means not to adapt content of smaller pages to the largest page size.

Returns
  A boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. Default value: false.

## ◆ GetEnable_aggressively_split_sections()

fpdfconversionsdk.PDF2PowerPointSettingData.GetEnable_aggressively_split_sections | ( |  | ) |

Get a boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents.

In two paragraphs of the same text box, if the spacing between them is large enough, they will be split into two separate text boxes for the conversion of PDF documents to Power Point format documents. true means to split sections aggressively for the conversion of PDF documents to Power Point format documents. false means not to split sections aggressively for the conversion of PDF documents to Power Point format documents.

Returns
  A boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. Default value: false.

## ◆ Set()

def fpdfconversionsdk.PDF2PowerPointSettingData.Set | ( |  | enable_aggressively_split_sections,
|  |  | enable_adapt_to_largest_page
| ) |  |

Set value.

Parameters

  [in] | enable_aggressively_split_sections | A boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. Default value: false. In two paragraphs of the same text box, if the spacing between them is large enough, they will be split into two separate text boxes for the conversion of PDF documents to Power Point format documents. true means to split sections aggressively for the conversion of PDF documents to Power Point format documents. false means not to split sections aggressively for the conversion of PDF documents to Power Point format documents.
  [in] | enable_adapt_to_largest_page | A boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. Default value: false. Since all slides in a PowerPoint must have the same size, the largest page is used as the reference by default. When enabled, the converter identifies the largest page within the conversion range and adjusts the page matrix of smaller pages accordingly, scaling their graphical objects to ensure uniform slide dimensions in the output PowerPoint file. All scaling operations preserve the original aspect ratio. true means to adapt content of smaller pages to the largest page size. false means not to adapt content of smaller pages to the largest page size.

Returns
  None.

## ◆ SetEnable_adapt_to_largest_page()

fpdfconversionsdk.PDF2PowerPointSettingData.SetEnable_adapt_to_largest_page | ( |  | value | ) |

Set a boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format.

Since all slides in a PowerPoint must have the same size, the largest page is used as the reference by default. When enabled, the converter identifies the largest page within the conversion range and adjusts the page matrix of smaller pages accordingly, scaling their graphical objects to ensure uniform slide dimensions in the output PowerPoint file. All scaling operations preserve the original aspect ratio. true means to adapt content of smaller pages to the largest page size. false means not to adapt content of smaller pages to the largest page size.

Parameters

  [in] | value | A boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. Default value: false.

Returns
  None.

## ◆ SetEnable_aggressively_split_sections()

fpdfconversionsdk.PDF2PowerPointSettingData.SetEnable_aggressively_split_sections | ( |  | value | ) |

Set a boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents.

In two paragraphs of the same text box, if the spacing between them is large enough, they will be split into two separate text boxes for the conversion of PDF documents to Power Point format documents. true means to split sections aggressively for the conversion of PDF documents to Power Point format documents. false means not to split sections aggressively for the conversion of PDF documents to Power Point format documents.

Parameters

  [in] | value | A boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. Default value: false.

Returns
  None.